__BITMAP_SHIFT_LEFT(9)

NAME
__bitmap_shift_left - logical left shift of the bits in a bitmap

SYNOPSIS

void __bitmap_shift_left(unsigned long * dst, const unsigned long * src, int shift, int bits);

ARGUMENTS

dst
    destination bitmap

src
    source bitmap

shift
    shift by this many bits

bits
    bitmap size, in bits

DESCRIPTION

Shifting left (multiplying) means moving bits in the LS -> MS direction. Zeros are fed into the vacated LS bit positions and those MS bits shifted off the top are lost.

COPYRIGHT